## pangomm 2.24.0-3maemo0

=== debian/changelog ===
pangomm (2.24.0-3maemo0) fremantle; urgency=low

  * Package for Maemo Fremantle.

 -- David King <davidk@openismus.com>  Tue, 14 Jul 2009 17:36:33 +0200

pangomm (2.24.0-3) unstable; urgency=high

  * Update debian/copyright to conform to latest DEP 5.
    + Point to versioned license files.
  * Add missing ',' in control file to fix FTBFS against new dpkg.  Thanks
    KiBi for the report and patch.  (Closes: #536785)
    + RC bug, hence urgency high.
  * Drop strict bdep on libglib2.0-dev and libcairo2-dev added to help
    experimental buildd, which are not needed now.
  * Update Standard-Version to 3.8.2.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 14 Jul 2009 09:31:25 +0800

pangomm (2.24.0-2) unstable; urgency=low

  * Upload to unstable.
    + Drop check-dist.mk.
    + Track unstable branch in Vcs-*.
  * Change -dbg package to section debug.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Fri, 03 Apr 2009 00:35:01 +0800

pangomm (2.24.0-1) experimental; urgency=low

  * New upstream release.
    + Update SHVER to 2.24.0 for new API addition.
    + Update build-depends on libpango1.0-dev to >= 1.23.0 as per configure.in.
  * Don't define GNOME_MODULE, the default matches.
  * Upload to experimental, add check-dist.mk accordingly.
  * Update Standard-Version to 3.8.1.  No change needed.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 29 Mar 2009 14:22:01 +0800

pangomm (2.14.1-2) unstable; urgency=low

  * Upload to unstable.  Drop check-dist.mk.
  * Use viewsvn instead of wsvn in debian/control*.
  * Remove comments in debian/watch.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 19 Feb 2009 23:16:23 +0800

pangomm (2.14.1-1) experimental; urgency=low

  * New upstream release.
    - Drop 01_devhelp_path_fix.patch, merged upstream.
  * Tighten Build-Depends on libcairo2-dev >= 1.8.2-2 and
    libglib2.0-dev >= 2.18.0 to help experimental buildd figure out the
    correct dependencies.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 10 Nov 2008 21:16:20 +0800

pangomm (2.14.0-2) experimental; urgency=low

  * Use POSIX standard regex classes in sed trick in debian/rules.
  * Fix symlink ``usr/share/doc/pangomm-1.4'' to reference correct place.
  * Add 01_devhelp_path_fix.patch to fix all gtkmm to pangomm.
  * Use ``usr/share/doc/pangomm-1.4'' as URL in doc-base to match upstream
    behavior.
  * Continue to ship *.la in libpangomm-1.4-dev.  It seems to be required
    for existing dependencies.  Add clean-la.mk to debian/rules
    accordingly.  (LP: #272665, #274732)

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 09 Nov 2008 13:00:49 +0800

pangomm (2.14.0-1) experimental; urgency=low

  * New upstream stable release.
    + Bump shlibs version to 2.14.0.
    + Target stable releases in debian/watch.
  * Keep targeting experimental as Lenny is in freeze.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 24 Sep 2008 23:50:17 +0800

pangomm (2.13.8-1) experimental; urgency=low

  * New upstream development release.
    + Now require pango >= 1.21.4, update build-depends accordingly.
    + Bump shlibs version to 2.13.8.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 18 Sep 2008 20:55:29 +0800

pangomm (2.13.7-2) experimental; urgency=low

  [ Michael Casadevall ]
  * Use epoched versions in Conflict/Replaces.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 11 Sep 2008 20:11:13 +0800

pangomm (2.13.7-1) experimental; urgency=low

  [ Michael Casadevall ]
  * Initial release.  Closes: #495678.  LP: #254050.

  [ Deng Xiyue ]
  * Add watch file, targeting development release.
  * Include check-dist.mk to prevent accidental upload to wrong place.
  * Don't install *.la in -dev package.  Drop clean-la.mk accordingly.
  * Add libpangomm-1.4-doc.install to install docs, and remove hand-written
    hack in debian/rules.
  * Remove xsltproc from Build-Depends, it's not used.
  * Use machine-interpretable debian/copying format, and add all copyright
    holders.
  * Disable building of static library.  Pango1.0 doesn't build static
    library so there's no use to provide one in pangomm.  Fix packages
    description accordingly, and drop *.a from libpangomm-1.4-dev.install.

  [ Loic Minier ]
  * Properly anchor Package name extraction regexp.
  * Cleanups.

 -- Michael Casadevall <sonicmctails@gmail.com>  Tue, 29 Jul 2008 16:06:44 -0400

## pangomm 2.42.1

=== meson_options.txt ===
option('maintainer-mode', type: 'combo', choices: ['false', 'if-git-build', 'true'],
  value: 'if-git-build', description: 'Generate source code from .hg and .ccg files')
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'fatal',
  description: 'Compiler warning level')
option('build-deprecated-api', type: 'boolean', value: true,
  description: 'Build deprecated API and include it in the library')
option('build-documentation', type: 'combo', choices: ['false', 'if-maintainer-mode', 'true'],
  value: 'if-maintainer-mode', description: 'Build and install the documentation')
option('gmmproc-dir', type : 'string',
  value : '', description : 'Directory containing gmmproc and its PERL modules (for MSVC builds only)')

## pangomm 2.24.0-3maemo1

=== debian/changelog ===
pangomm (2.24.0-3maemo1) fremantle; urgency=low

  * Enable automatic optification with debian/optify.
  * Add bugtracker link to binary package.

 -- David King <davidk@openismus.com>  Wed, 10 Mar 2010 12:00:30 +0100

=== debian/control ===
Source: pangomm
Section: libs
Priority: optional
Maintainer: David King <davidk@openismus.com
Build-Depends: cdbs (>= 0.4.48),
               debhelper (>= 5),
               gnome-pkg-tools (>= 0.10),
               libcairomm-1.0-dev (>= 1.2.2),
               libglibmm-2.4-dev (>= 2.14.1),
               libpango1.0-dev (>= 1.23.0)
Standards-Version: 3.8.2
Homepage: http://gtkmm.org

Package: libpangomm-1.4-1
Architecture: any
Replaces: libgtkmm-2.4-1c2a (<< 1:2.13)
Conflicts: libgtkmm-2.4-1c2a (<< 1:2.13)
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ Wrapper for pango (shared libraries)
 Pangomm is a C++ wrapper for the pango library. Originally part of
 gtkmm, pangomm provides convenient C++ interfaces for handling both
 the layout and internationalization of text in graphical applications.
 .
 This package contains the shared library.

Package: libpangomm-1.4-dev
Architecture: any
Replaces: libgtkmm-2.4-dev (<< 1:2.13)
Conflicts: libgtkmm-2.4-dev (<< 1:2.13)
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpangomm-1.4-1 (= ${binary:Version}),
         libcairomm-1.0-dev (>= 1.2.2),
         libglibmm-2.4-dev (>= 2.14.1),
         libpango1.0-dev (>= 1.23.0)
Description: C++ Wrapper for pango (development files)
 Pangomm is a C++ wrapper for the pango library. Originally part of
 gtkmm, pangomm provides convenient C++ interfaces for handling both
 the layout and internationalization of text in graphical applications.
 .
 This package contains the development files.

Package: libpangomm-1.4-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gtkmm-documentation
Description: C++ Wrapper for pango (documentation)
 Pangomm is a C++ wrapper for the pango library. Originally part of
 gtkmm, pangomm provides convenient C++ interfaces for handling both
 the layout and internationalization of text in graphical applications.
 .
 This package contains the documentation.

Package: libpangomm-1.4-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpangomm-1.4-1 (= ${binary:Version})
Description: C++ Wrapper for pango (debugging symbols)
 Pangomm is a C++ wrapper for the pango library. Originally part of
 gtkmm, pangomm provides convenient C++ interfaces for handling both
 the layout and internationalization of text in graphical applications.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.24.0

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-shared --disable-static
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"

=== debian/watch ===
version=3
http://download.gnome.org/sources/pangomm/([\d\.]+)[24680]/ \
        pangomm-([\d\.]+)\.tar\.gz

## pangomm 2.28.2

=== debian/changelog ===
pangomm (2.28.2-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Remove the chrpath hack, it's been fixed in libtool.

  [ Krzysztof Klimonda ]
  * New upstream release. 

  [ Deng Xiyue ]
  * New upstream bugfix release.
    + debian/control.in:
      + Add mm-common >= 0.9.5 as builddep as per configure.ac.
    + debian/rules:
      + Update SHVER to 2.27.1 due to new API.
  * Convert to source format 3.0 (quilt)
    + debian/rules:
      + Drop simple-patchsys.mk.
    + debian/watch:
      + Track *.tar.bz2 instead of *.tar.gz
  * debian/control.in:
    + Update Standards-Version to 3.9.1.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 17 Apr 2011 09:07:59 +0800

pangomm (2.26.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 May 2010 17:00:54 +0200

pangomm (2.26.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.8.4.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Apr 2010 13:56:23 +0200

pangomm (2.26.0-1) unstable; urgency=low

  * New upstream release.
    + Bump shlibs version to 2.26.0.
    + Bump build-depends libglibmm-2.4-dev >= 2.22.1-2 for gmmprocdir support,
      but leave depends unchanged, as new glibmm version is only needed for
      building documentation.
    + Adjust doc path according to new location in new release.
  * Update Standard-Version to 3.8.3.  No changes needed.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 04 Oct 2009 23:06:10 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,24 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: pangomm
 Section: libs
 Priority: optional
-Maintainer: David King <davidk@openismus.com
-Build-Depends: cdbs (>= 0.4.48),
-               debhelper (>= 5),
-               gnome-pkg-tools (>= 0.10),
+Maintainer: Michael Casadevall <sonicmctails@gmail.com>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
+DM-Upload-Allowed: yes
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pangomm
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pangomm
+Build-Depends: cdbs (>= 0.4.51),
+               debhelper (>= 6),
+               gnome-pkg-tools (>= 0.11),
                libcairomm-1.0-dev (>= 1.2.2),
-               libglibmm-2.4-dev (>= 2.14.1),
-               libpango1.0-dev (>= 1.23.0)
-Standards-Version: 3.8.2
+               libglibmm-2.4-dev (>= 2.22.1-2),
+               libpango1.0-dev (>= 1.23.0),
+               mm-common (>= 0.9.5)
+Standards-Version: 3.9.1
 Homepage: http://gtkmm.org
 
 Package: libpangomm-1.4-1
@@ -46,7 +56,9 @@
 Architecture: all
 Section: doc
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         lynx | www-browser,
+         doc-base
 Suggests: gtkmm-documentation
 Description: C++ Wrapper for pango (documentation)
  Pangomm is a C++ wrapper for the pango library. Originally part of

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
@@ -10,7 +9,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.24.0
+SHVER := 2.27.1
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=3
http://download.gnome.org/sources/pangomm/([\d\.]+)[24680]/ \
        pangomm-([\d\.]+)\.tar\.bz2

## pangomm 2.28.4

=== debian/changelog ===
pangomm (2.28.4-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
  * debian/control.in:
    - Bump Standards-Version to 3.9.2. No further changes.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Stop installing libtool .la files.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Nov 2011 01:43:19 +0100

pangomm (2.28.3-1) unstable; urgency=low

  [ Deng Xiyue ]
  * debian/watch:
    + Fix RegEx to work again.

  [ Martin Pitt ]
  * New upstream release:
    - Ship convert_pangomm.m4 in tarballs.
    - Don't use obsolete autotools macros.

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Sep 2011 14:44:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Source: pangomm
 Section: libs
 Priority: optional
-Maintainer: Michael Casadevall <sonicmctails@gmail.com>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Casadevall <sonicmctails@gmail.com>
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pangomm
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pangomm
 Build-Depends: cdbs (>= 0.4.51),
-               debhelper (>= 6),
+               debhelper (>= 8),
                gnome-pkg-tools (>= 0.11),
                libcairomm-1.0-dev (>= 1.2.2),
                libglibmm-2.4-dev (>= 2.22.1-2),
                libpango1.0-dev (>= 1.23.0),
                mm-common (>= 0.9.5)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://gtkmm.org
 
 Package: libpangomm-1.4-1

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
@@ -14,5 +13,4 @@
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-shared --disable-static
-DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"

## pangomm 2.34.0

=== debian/changelog ===
pangomm (2.34.0-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf for current libtool.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 15 Dec 2013 13:23:05 -0800

pangomm (2.34.0-1) unstable; urgency=low

  * New upstream release.
  * Bump required version of libglibmm-2.4-dev to (>= 2.36.0).
  * Drop obsolete DM-Upload-Allowed field.
  * Update Vcs-* URLs.
  * Update debian/copyright, use final copyright-format 1.0 spec.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Add Build-Depends on autotools-dev as lintian was complaining about
    outdated config.{guess,sub}.
  * Drop obsolete Conflicts/Replaces.
  * Convert to multiarch.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Jun 2013 03:45:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,30 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: pangomm
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Casadevall <sonicmctails@gmail.com>
-DM-Upload-Allowed: yes
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pangomm
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pangomm
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Casadevall <sonicmctails@gmail.com>
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pangomm
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pangomm
 Build-Depends: cdbs (>= 0.4.51),
-               debhelper (>= 8),
+               debhelper (>= 9),
+               dh-autoreconf,
+               autotools-dev,
                gnome-pkg-tools (>= 0.11),
                libcairomm-1.0-dev (>= 1.2.2),
-               libglibmm-2.4-dev (>= 2.22.1-2),
+               libglibmm-2.4-dev (>= 2.36.0),
                libpango1.0-dev (>= 1.23.0),
                mm-common (>= 0.9.5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://gtkmm.org
 
 Package: libpangomm-1.4-1
 Architecture: any
-Replaces: libgtkmm-2.4-1c2a (<< 1:2.13)
-Conflicts: libgtkmm-2.4-1c2a (<< 1:2.13)
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: C++ Wrapper for pango (shared libraries)
@@ -36,14 +37,13 @@
 
 Package: libpangomm-1.4-dev
 Architecture: any
-Replaces: libgtkmm-2.4-dev (<< 1:2.13)
-Conflicts: libgtkmm-2.4-dev (<< 1:2.13)
+Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpangomm-1.4-1 (= ${binary:Version}),
          libcairomm-1.0-dev (>= 1.2.2),
-         libglibmm-2.4-dev (>= 2.14.1),
+         libglibmm-2.4-dev (>= 2.36.0),
          libpango1.0-dev (>= 1.23.0)
 Description: C++ Wrapper for pango (development files)
  Pangomm is a C++ wrapper for the pango library. Originally part of
@@ -54,6 +54,7 @@
 
 Package: libpangomm-1.4-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -69,6 +70,7 @@
 
 Package: libpangomm-1.4-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
@@ -12,5 +13,7 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-shared --disable-static
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-shared \
+                             --disable-static \
+                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"

=== debian/watch ===
version=3
http://download.gnome.org/sources/pangomm/([\d\.]+[24680])/ \
        pangomm-([\d\.]+)\.tar\.xz

## pangomm 2.36.0

=== debian/changelog ===
pangomm (2.36.0-2) unstable; urgency=medium

  * Team upload.
  * Rename library package to libpangomm-1.4-1v5 for libstdc++ ABI
    transition. Based on changes made in Ubuntu by Sebastien Bacher.
    - Bump Build-Depends on glibmm and cairomm to g++-5-built versions

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Aug 2015 22:04:57 +0100

pangomm (2.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on cdbs for multiarch support.
  * Bump required version of libpango1.0-dev (>= 1.36.0).
  * Bump SHVER to 2.36.0.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 May 2015 02:44:00 +0200

pangomm (2.34.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to fix FTBFS on ppc64el. Closes: #752179

 -- Andreas Barth <aba@ayous.org>  Thu, 28 Aug 2014 18:22:55 +0000

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,29 @@
 Source: pangomm
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Casadevall <sonicmctails@gmail.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Casadevall <sonicmctails@gmail.com>
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pangomm
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pangomm
-Build-Depends: cdbs (>= 0.4.51),
+Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 9),
                dh-autoreconf,
-               autotools-dev,
                gnome-pkg-tools (>= 0.11),
-               libcairomm-1.0-dev (>= 1.2.2),
-               libglibmm-2.4-dev (>= 2.36.0),
-               libpango1.0-dev (>= 1.23.0),
+               libcairomm-1.0-dev (>= 1.10.0-1.2~),
+               libglibmm-2.4-dev (>= 2.44.0-2~),
+               libpango1.0-dev (>= 1.36.0),
                mm-common (>= 0.9.5)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://gtkmm.org
 
-Package: libpangomm-1.4-1
+Package: libpangomm-1.4-1v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Conflicts: libpangomm-1.4-1
+Replaces: libpangomm-1.4-1
 Description: C++ Wrapper for pango (shared libraries)
  Pangomm is a C++ wrapper for the pango library. Originally part of
  gtkmm, pangomm provides convenient C++ interfaces for handling both
@@ -41,10 +41,10 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpangomm-1.4-1 (= ${binary:Version}),
+         libpangomm-1.4-1v5 (= ${binary:Version}),
          libcairomm-1.0-dev (>= 1.2.2),
          libglibmm-2.4-dev (>= 2.36.0),
-         libpango1.0-dev (>= 1.23.0)
+         libpango1.0-dev (>= 1.36.0)
 Description: C++ Wrapper for pango (development files)
  Pangomm is a C++ wrapper for the pango library. Originally part of
  gtkmm, pangomm provides convenient C++ interfaces for handling both
@@ -75,7 +75,7 @@
 Priority: extra
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpangomm-1.4-1 (= ${binary:Version})
+         libpangomm-1.4-1v5 (= ${binary:Version})
 Description: C++ Wrapper for pango (debugging symbols)
  Pangomm is a C++ wrapper for the pango library. Originally part of
  gtkmm, pangomm provides convenient C++ interfaces for handling both

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.27.1
+SHVER := 2.36.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## pangomm 2.38.1

=== debian/changelog ===
pangomm (2.38.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libcairomm-1.0-dev to (>= 1.12.0).
    - Bump libglibmm-2.4-dev to (>= 2.46.1).
    - Bump libpango1.0-dev to (>= 1.38.0).
    - Bump mm-common to (>= 0.9.8).
  * Bump SHVER to 2.38.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 15:42:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Casadevall <sonicmctails@gmail.com>
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pangomm
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pangomm
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pangomm
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libcairomm-1.0-dev (>= 1.10.0-1.2~),
-               libglibmm-2.4-dev (>= 2.44.0-2~),
-               libpango1.0-dev (>= 1.36.0),
-               mm-common (>= 0.9.5)
+               libcairomm-1.0-dev (>= 1.12.0),
+               libglibmm-2.4-dev (>= 2.46.1),
+               libpango1.0-dev (>= 1.38.0),
+               mm-common (>= 0.9.8)
 Standards-Version: 3.9.6
 Homepage: http://gtkmm.org
 
@@ -42,9 +42,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpangomm-1.4-1v5 (= ${binary:Version}),
-         libcairomm-1.0-dev (>= 1.2.2),
-         libglibmm-2.4-dev (>= 2.36.0),
-         libpango1.0-dev (>= 1.36.0)
+         libcairomm-1.0-dev (>= 1.12.0),
+         libglibmm-2.4-dev (>= 2.46.1),
+         libpango1.0-dev (>= 1.38.0)
 Description: C++ Wrapper for pango (development files)
  Pangomm is a C++ wrapper for the pango library. Originally part of
  gtkmm, pangomm provides convenient C++ interfaces for handling both

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.36.0
+SHVER := 2.38.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## pangomm 2.40.1

=== debian/changelog ===
pangomm (2.40.1-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

  [ Michael Biebl ]
  * Remove Michael Casadevall <sonicmctails@gmail.com> from Uploaders. He is
    not active anymore. (Closes: #841467)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 19:44:56 -0500

pangomm (2.40.1-3) unstable; urgency=medium

  * Don't compress doxygen tag files.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 02:36:03 +0200

pangomm (2.40.1-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 10. This ensures we actually run
    autoreconf during build.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 01:29:30 +0200

pangomm (2.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2016 19:12:16 +0200

pangomm (2.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libglibmm-2.4-dev to (>= 2.48.0).
  * Drop libpangomm-1.4-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libpangomm-1.4-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.8.
  * Fix typo in doc-base file.
  * Bump SHVER to 2.40.0.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 20:03:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,16 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Casadevall <sonicmctails@gmail.com>
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pangomm
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pangomm
-Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 9),
-               dh-autoreconf,
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/pangomm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/pangomm.git
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.11),
                libcairomm-1.0-dev (>= 1.12.0),
-               libglibmm-2.4-dev (>= 2.46.1),
+               libglibmm-2.4-dev (>= 2.48.0),
                libpango1.0-dev (>= 1.38.0),
                mm-common (>= 0.9.8)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.2
 Homepage: http://gtkmm.org
 
 Package: libpangomm-1.4-1v5
@@ -43,7 +41,7 @@
          ${misc:Depends},
          libpangomm-1.4-1v5 (= ${binary:Version}),
          libcairomm-1.0-dev (>= 1.12.0),
-         libglibmm-2.4-dev (>= 2.46.1),
+         libglibmm-2.4-dev (>= 2.48.0),
          libpango1.0-dev (>= 1.38.0)
 Description: C++ Wrapper for pango (development files)
  Pangomm is a C++ wrapper for the pango library. Originally part of
@@ -67,18 +65,3 @@
  the layout and internationalization of text in graphical applications.
  .
  This package contains the documentation.
-
-Package: libpangomm-1.4-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libpangomm-1.4-1v5 (= ${binary:Version})
-Description: C++ Wrapper for pango (debugging symbols)
- Pangomm is a C++ wrapper for the pango library. Originally part of
- gtkmm, pangomm provides convenient C++ interfaces for handling both
- the layout and internationalization of text in graphical applications.
- .
- This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.40.0

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"

override_dh_strip:
	dh_strip --dbgsym-migration='libpangomm-1.4-dbg (<< 2.40.0-1~)'

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag

## pangomm 2.42.0

=== debian/changelog ===
pangomm (2.42.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:29:01 +0100

pangomm (2.42.0-2) unstable; urgency=medium

  * Bump SHVER to 2.42.0
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 10:02:49 -0500

pangomm (2.42.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump minimum libpango1.0-dev to 1.41.0
  * debian/copyright: Add pre-generated docs to Files-Excluded
  * Build-Depend on doxygen, graphviz & xsltproc to build docs
  * libpangomm-1.4-doc: Don't depend on lynx | www-browser
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Nov 2018 21:26:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: pangomm
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/pangomm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/pangomm.git
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
+               doxygen,
                gnome-pkg-tools (>= 0.11),
+               graphviz,
                libcairomm-1.0-dev (>= 1.12.0),
                libglibmm-2.4-dev (>= 2.48.0),
-               libpango1.0-dev (>= 1.38.0),
-               mm-common (>= 0.9.8)
-Standards-Version: 4.1.2
+               libpango1.0-dev (>= 1.41.0),
+               mm-common (>= 0.9.8),
+               xsltproc
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/pangomm
+Vcs-Git: https://salsa.debian.org/gnome-team/pangomm.git
 Homepage: http://gtkmm.org
 
 Package: libpangomm-1.4-1v5
@@ -42,7 +45,7 @@
          libpangomm-1.4-1v5 (= ${binary:Version}),
          libcairomm-1.0-dev (>= 1.12.0),
          libglibmm-2.4-dev (>= 2.48.0),
-         libpango1.0-dev (>= 1.38.0)
+         libpango1.0-dev (>= 1.41.0)
 Description: C++ Wrapper for pango (development files)
  Pangomm is a C++ wrapper for the pango library. Originally part of
  gtkmm, pangomm provides convenient C++ interfaces for handling both
@@ -56,7 +59,6 @@
 Section: doc
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         lynx | www-browser,
          doc-base
 Suggests: gtkmm-documentation
 Description: C++ Wrapper for pango (documentation)

=== debian/rules ===
#!/usr/bin/make -f

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libpangomm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.42.0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"

override_dh_strip:
	dh_strip --dbgsym-migration='libpangomm-1.4-dbg (<< 2.40.0-1~)'

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag

## pangomm 2.42.1

=== debian/changelog ===
pangomm (2.42.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Drop obsolete dh_strip dbgsym migration rule
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Apr 2020 20:15:57 -0400

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                doxygen,
-               gnome-pkg-tools (>= 0.11),
                graphviz,
                libcairomm-1.0-dev (>= 1.12.0),
                libglibmm-2.4-dev (>= 2.48.0),
                libpango1.0-dev (>= 1.41.0),
                mm-common (>= 0.9.8),
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/pangomm
 Vcs-Git: https://salsa.debian.org/gnome-team/pangomm.git
 Homepage: http://gtkmm.org

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -15,9 +15,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libpangomm-1.4-dbg (<< 2.40.0-1~)'
-
 # Don't compress doxygen tag files
 override_dh_compress:
 	dh_compress -X.tag

## pangomm 2.46.1

=== debian/changelog ===
pangomm (2.46.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Rely on dh12's default dh_makeshlibs handling
    instead of trying to update the version number manually

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 16:21:28 -0400

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                doxygen,
                graphviz,
                libcairomm-1.0-dev (>= 1.12.0),
                libglibmm-2.4-dev (>= 2.48.0),
                libpango1.0-dev (>= 1.41.0),
+               meson (>= 0.54.0),
                mm-common (>= 0.9.8),
                xsltproc
 Standards-Version: 4.5.0

## pangomm 2.46.2

=== debian/changelog ===
pangomm (2.46.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libxml-parser-perl
  * debian/rules: Enable maintainer mode. Required because we want to
    ensure we build the docs from source.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 09:45:48 -0500

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libcairomm-1.0-dev (>= 1.12.0),
                libglibmm-2.4-dev (>= 2.48.0),
                libpango1.0-dev (>= 1.41.0),
+               libxml-parser-perl,
                meson (>= 0.54.0),
                mm-common (>= 0.9.8),
                xsltproc

## pangomm 2.46.3

=== debian/changelog ===
pangomm (2.46.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.55.0
  * Stop installing README.md: it only contains build instructions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 12:35:07 -0400

pangomm (2.46.2-2) unstable; urgency=medium

  * debian/watch: Watch for 2.46.x releases.
    pangomm2.48 is a new ABI series for gtkmm 4
    and will be packaged separately
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 16:48:29 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                doxygen,
@@ -15,10 +15,11 @@
                libglibmm-2.4-dev (>= 2.48.0),
                libpango1.0-dev (>= 1.41.0),
                libxml-parser-perl,
-               meson (>= 0.54.0),
+               meson (>= 0.55.0),
                mm-common (>= 0.9.8),
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/pangomm
 Vcs-Git: https://salsa.debian.org/gnome-team/pangomm.git
 Homepage: http://gtkmm.org

## pangomm 2.46.4

=== debian/changelog ===
pangomm (2.46.4-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:44:02 +0000

pangomm (2.46.4-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:26:32 +0000

pangomm (2.46.4-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:34:45 +0000

pangomm (2.46.4-1) unstable; urgency=medium

  * New upstream release
  * debian/libpangomm-1.4-1v5.docs: Install README.md, but
    AUTHORS is no longer provided
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 07:33:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: pangomm
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                doxygen,
                graphviz,
                libcairomm-1.0-dev (>= 1.12.0),
@@ -18,11 +14,11 @@
                meson (>= 0.55.0),
                mm-common (>= 0.9.8),
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/pangomm
 Vcs-Git: https://salsa.debian.org/gnome-team/pangomm.git
-Homepage: http://gtkmm.org
+Homepage: https://gtkmm.org
 
 Package: libpangomm-1.4-1v5
 Architecture: any

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	2.46/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@
